
/******************************************************
This functions detects noise. Due to our sensor (Grove Soundsensor, LM386) we use an analog input (A0) - 
we write the values to an array, to get a average value. 
*******************************************************/

const int numReadings = 400;      // array-size
int readings[numReadings];      // the readings from the analog input
int readIndex = 0;              // the index of the current reading
int total = 0;                  // the running total
int average = 0;                // the average

/**********************************************/



/******************************************************
 Reset array on startup
 *******************************************************/
 
void averageReset(){
  
    // initialize all the readings to 0:
  for (int thisReading = 0; thisReading < numReadings; thisReading++) {
    readings[thisReading] = 0;
  };
  
 };


/******************************************************
 read enviromental noise
 *******************************************************/

void readNoise () {
 
 for (int x = 0; x <= 20; x++) {
  
  total = total - readings[readIndex];

  readings[readIndex] = analogRead(MIC);

  total = total + readings[readIndex];

  readIndex = readIndex + 1;

  if (readIndex >= numReadings) {
    readIndex = 0;
  }
  
  delay(5);        // delay in between reads for stability
  x++;

  };
  
  // calculate the average:
  average = total / numReadings;
  Serial.println(average);
  
  noise = average;
  
  

  };
